package com.simuwang.base.pojo.dto.query;

import com.simuwang.base.common.support.query.PageQuery;

/**
 * FileName: DataboardQuery
 * Author:   chenjianhua
 * Date:     2024/10/14 10:38
 * Description: ${DESCRIPTION}
 */
public class CompanyContactQuery extends PageQuery {
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 报送状态
     */
    private Integer isSend;
    /**
     * 对接状态,1-已通知，2-有意向，3-暂无意向，4-考虑中，5-无联系方式
     */
    private Integer contactStatus;
    /**
     * 签约方式，1-托管平台授权，2-单方签约，3-双方签约
     */
    private Integer signMethod;
    /**
     * 公司资产规模：1- 0-5亿，2- 5-10亿，3- 10-20亿，4- 20-50亿，
     * 5- 50-100亿，6 -100亿以上
     */
    private Integer companyAssetSize;
    /**
     * 对接开始日期
     */
    private String contactStartDate;
    /**
     * 对接结束日期
     */
    private String contactEndDate;


    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public Integer getContactStatus() {
        return contactStatus;
    }

    public void setContactStatus(Integer contactStatus) {
        this.contactStatus = contactStatus;
    }

    public Integer getSignMethod() {
        return signMethod;
    }

    public void setSignMethod(Integer signMethod) {
        this.signMethod = signMethod;
    }

    public Integer getCompanyAssetSize() {
        return companyAssetSize;
    }

    public void setCompanyAssetSize(Integer companyAssetSize) {
        this.companyAssetSize = companyAssetSize;
    }

    public String getContactStartDate() {
        return contactStartDate;
    }

    public void setContactStartDate(String contactStartDate) {
        this.contactStartDate = contactStartDate;
    }

    public String getContactEndDate() {
        return contactEndDate;
    }

    public void setContactEndDate(String contactEndDate) {
        this.contactEndDate = contactEndDate;
    }
}
